/*
AMIB Date Picker - by Amir Masoud Irnai
http://amib.ir
amib@amib.ir
*/

a.adpbtn {
	width: 19px;
	height: 18px;
	vertical-align: middle;
	display: inline-block;
	background-repeat: no-repeat;
	margin: 0 1px;
}

a.adpbtn.persian {
	background-image: url( "adpicker-btn-per.png" );
}

a.adpbtn.hijri {
	background-image: url( "adpicker-btn-hij.png" );
}

a.adpbtn.gregorian {
	background-image: url( "adpicker-btn-gre.png" );
}

a.adpbtn:hover {
	box-shadow: 0 0 1px #66CCFF;
}

input.date {
	text-align: center;
	margin-top: 0;
	margin-bottom: 0;
	margin-left: 0;
}

input.date.valid {
	background-color: #e5fae2;
}

input.date.invalid {
	background-color: #fee5e7;
}

input.date.persian {
	border-color: #4400ff;
}

input.date.gregorian {
	border-color: #c300ff;
}

input.date.hijri {
	border-color: #080;
}

.adpmain {
	background-color: #eee;
    border: 2px solid #aaa;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3);
    padding: 5px;
    position: absolute;
}

.adpmain.persian {
    direction: rtl;
}

.adpmain.gregorian {
    direction: ltr;
}

.adpmain.hijri {
    direction: rtl;
}

.adpmain table,
.monthYearPicker {
	font: 10pt Tahoma;
}

.adpmain table{
	border-collapse: collapse;
	border-spacing: 0px;
	border: 1px solid #555;
	background-color: #fff;
}

.adpmain td {
	border: 1px solid #999;
    padding: 0;
    text-align: center;
    width: 22px;
}

.adpmain .navBack {
/*	float: right;
	uncommenting this line breaks IE display of element
	in some unknown situations !
*/
}

.adpmain.persian .navBack a {
	float: right;
}

.adpmain.hijri .navBack a {
	float: right;
}

.adpmain.gregorian .navBack a {
	float: left;
}

.adpmain.persian .navFwd {
	float: left;
}

.adpmain.hijri .navFwd {
	float: left;
}

.adpmain.gregorian .navFwd {
	float: right;
}

.adpmain.persian .navFwd a {
	float: left;
}

.adpmain.hijri .navFwd a {
	float: left;
}

.adpmain.gregorian .navFwd a {
	float: right;
}

.adpmain .navInfo {
	padding: 5px 0px;
	display: inline-block;
}

.adpmain .pickerHead {
	background-color: #eee;
	border: 1px solid #999;
}

.adpmain .pickerHead a {
	padding: 0.5em 0.45em;
}

.adpmain .pickerHead a.nav {
	display: block;
}

.adpmain a.nav:hover {
	background-color: #88e1ff;
}

.adpmain  a.monYear {
	display: inline-block;
}

.adpmain a.monYear:hover {
	background-color: #88e1ff;
}

.adpmain a.weekday {
	display: block;
	padding: 0.3em 0.5em;
	color: #021;
}

.adpmain a.weekday.chosen {
	background-color: #003f53 !important;
	color: #fff !important;
}

.adpmain a.weekday.invalid,
.adpmain a.weekday.invalid:hover {
	color: #666 !important;
}

.adpmain.persian a.friday {
	color: #f11;
}

.adpmain.hijri a.friday {
	color: #f11;
}

.adpmain.gregorian a.sunday {
	color: #f11;
}

.adpmain a.selected {
	background-color: #89bbff;
}

.adpmain a.today {
	background-color: #000;
	color: #fff;
}

.adpmain td.wd {
	background-color: #afffae;
	color: #040;
	font-weight: bold;
	text-align: center;
	padding: 0.2em 0;
}

.adpmain td.pickerFoot a {
	display: block;
	padding: 2px;
	background-color: #bef;
}

.adpmain td.pickerFoot a:hover {
	background-color: #5df;
}

.adpmain a {
	text-decoration: none;
	color: #333;
	transition: all 0.05s cubic-bezier(0,1,1,0);
}

.adpmain .chanageMode a {
	display: inline-block;
	padding: 2px 5px;
}

.adpmain a:hover {
	background-color: #bbeeff;
	text-decoration: none;
}

div.monthYearPicker {
	box-sizing: border-box;
	width: 19em;
	background-color: #fff;
    border: 3px solid #999;
	border-radius: 3px;
	box-shadow: 0px 0px 2px rgba( 0, 0, 0, 0.3 );
	text-align: center;
	position: absolute;
	text-align: center;
}

div.monthYearPicker.persian {
	direction: rtl;
}

div.monthYearPicker.hijri {
	direction: rtl;
}

div.monthYearPicker.gregorian {
	direction: ltr;
}

div.monthYearPicker hr {
	border: 0;
	border-top: 2px solid #999;
	display: block;
	clear: both;
}

div.monthYearPicker a {
	text-decoration: none;
	box-sizing: border-box;
	width: 33.333%;
	color: #333;
	display: inline-block;
	padding: 0.3em 0.5em;
	transition: all 0.1s cubic-bezier(0,1,1,0);
}

div.monthYearPicker a:hover {
	text-decoration: none;
	background: #bef;
}


div.monthYearPicker a.selected {
	background-color: #eee;
}
